{% set currentGroupe = null %}
{% set currentTyO = null %}
{% set currentTyT = null %}

<div id="layerManager">

	{% for message in app.session.getFlashBag.get('message') %}
		<div class="flash" data-alert="alert">
			<div class="lead btn btn-{{ message.status }}">{{ message.text }}</div>
		</div>
	{% endfor %}

	{% if app.session.get('user_id') == ANONYMID  %}
		{{ ORGANISATION_WELCOME_MESSAGE|default(WELCOME_MESSAGE)|raw }}
	{% endif %}

	{% for group in layers %}

		{% if currentGroupe != group.group and 
        ( [app.session.get('user_id'),null,group.sysma_object_type_id ,'tous', null, null, null, 'lecteur']|hasAccess 
        or [app.session.get('user_id'),null,group.sysma_object_type_id ,'tous', null, null, null, 'contributeur']|hasAccess
        )%}
			{% set currentGroupe = group.group %}
			<div class="row" {{ U.tabGroupInfo[group.group]|default(null) == 'remove' ? 'style="display:none"' }}>
				<div class="col-xs-12">
					<h2>{{ group.group }}
						<small>
							{% if U.tabGroupInfo[group.group]|default(null) == 'hide' %}

								<span class="glyphicon glyphicon-chevron-down text-extra-muted" onclick="sendData('type=group&id={{group.group|replace({" '":"\\' "})}}&action=show', '{{url('updatelayerstate') }}', 'layerstate', event, true)"></span>
								<span class="glyphicon glyphicon-remove text-extra-muted" onclick="sendData('type=group&id={{group.group|replace({" '":"\\' "})}}&action=remove', '{{url('updatelayerstate') }}', 'layerstate', event, true);"></span>

							{% else %}
								<span class="glyphicon glyphicon glyphicon-chevron-up text-extra-muted" onclick="sendData('type=group&id={{group.group|replace({" '":"\\' "})}}&action=hide', '{{url('updatelayerstate') }}', 'layerstate', event, true)"></span>
							{% endif %}
						</small>
					</h2>
				</div>
			</div>
		{% endif %}

		{% if (currentTyO == null) or (currentTyO !=  group.sysma_object_type) %}
			{% set currentTyO = group.sysma_object_type %}
			{% set currentTyOId = group.sysma_object_type_id %}
		{% endif %}

		{% if [app.session.get('user_id'),null,group.sysma_object_type_id , null, null, null, null, 'lecteur']|hasAccess or [app.session.get('user_id'),null,group.sysma_object_type_id ,'tous', null, null, null, 'contributeur']|hasAccess  %}


			<div class="row" {# style="border:solid 1px black" #} id="layerobjecttypeRow{{group.sysma_object_type_id }}" {{ U.tabGroupInfo[group.group]|default(null) == 'hide' or U.tabGroupInfo[group.group]|default(null) == 'remove' ? 'style="display:none"' }}>
				<div class="col-xs-1 noPadding">
					{% if group.geometry_type != 'no_geom' %}
						<span id="layerobjecttype{{group.sysma_object_type_id }}LayerControllerSpan" style="display:none;"><img src='/img/loader2.gif' height='14px;'/></span>
						<input id="layerobjecttype{{group.sysma_object_type_id }}LayerController" type="checkbox" onclick='addLayer("objecttype", {{group.sysma_object_type_id }}, null, null, { "center" : $("#center").val(), "zoom" : $("#zoom").val() });'/>
					{% endif %}
				</div>

				<div class="col-xs-1 SVGPadding" {# style="border:solid 1px black" #}>
					{% if group.geometry_type == 'ST_Linestring' %}
						<svg height="18" width="18">
							{% if group.style.secondLine|default(null) == '1' %}
								<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ group.style.secondLineColor }};stroke-opacity:{{ group.style.secondLineOpacity }};stroke-width:{{ group.style.secondLineWeight }};stroke-linecap:round;stroke-linejoin:round"/>
								<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ group.style.color }};stroke-opacity:{{ group.style.opacity }};stroke-width:{{ group.style.weight }};stroke-dasharray:{{ group.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
							{% else %}
								<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ group.style.color }};stroke-opacity:{{ group.style.opacity }};stroke-width:{{ group.style.weight }};stroke-dasharray:{{ group.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
							{% endif %}
						</svg>
					{% endif %}

					{% if group.geometry_type == 'ST_Polygon' %}
						<svg height="18" width="18">
							<rect width="18" height="18" stroke="{{ group.style.color }}" stroke-opacity="{{ group.style.opacity }}" stroke-width="{{ group.style.weight }}" fill="{{ group.style.fillColor|default(group.style.color) }}" fill-opacity="{{ group.style.fillOpacity|default(group.style.opacity) }}" stroke-dasharray="{{ group.style.dashArray|default(0) }}" stroke-linecap="round" stroke-linejoin="round"/>
						</svg>
					{% endif %}

					{% if group.geometry_type == 'ST_Point' %}

						{% if group.style.icon is defined and group.style.icon == 1 and group.style.iconUrl != '' %}

							{% set size = 18 %}
							{% set fillRadius = size /2  * (group.style.fillRadius|default(0.05)/10) %}
							{% set backColor =  group.style.fillColor|default(group.style.color)|hexToRGB %}

							<div style="background-color:rgba({{ backColor.r }},{{ backColor.g }}, {{ backColor.b }},{{ group.style.fillOpacity|default(group.style.opacity)|default(1) }});width:{{ size }}px;height:{{size}}px;border-radius:{{ fillRadius|default(5)}}px;text-align:center;">
								<div style="width:{{size}}px;height:{{size}}px;background:{{ group.style.color }};-webkit-mask-image:url({{ group.style.iconUrl }});-webkit-mask-repeat:no-repeat;-webkit-mask-size:{{ (size * 0.8)|round }}px;-webkit-mask-position: center;mask-image:url({{ group.style.iconUrl }});mask-repeat:no-repeat;mask-size: {{ (size * 0.8)|round }}px;mask-position: center;opacity:{{ group.style.opacity|default(1) }}"></div>
							</div>
						{% else %}
							<div style="width:20px;text-center;">
								<svg height="18" width="18">
									<circle cx="9" cy="9" r="6" stroke="{{ group.style.color }}" stroke-opacity="{{ group.style.opacity }}" stroke-width="{{ min(group.style.weight,5) }}" fill="{{ group.style.fillColor|default(group.style.color) }}" fill-opacity="{{ group.style.fillOpacity|default(group.style.opacity) }}"/>
								</svg>
							</div>
						{% endif %}


					{% endif %}


					{% if group.geometry_type == 'no_geom' %}
						<svg height="18" width="18">
							<rect width="18" height="18" stroke="#cccccc" stroke-opacity="0.8" stroke-width="3" fill="#ececec" fill-opacity="0.5"/>
							<line x1="0" y1="0" x2="18" y2="18" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
							<line x1="0" y1="18" x2="18" y2="0" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
						</svg>
					{% endif %}

				</div>

				<div id="layerobjecttype{{group.sysma_object_type_id }}LayerName" class="col-xs-8 typeobjetTitre " onclick="hs('newObButton{{group.sysma_object_type_id }}'); hs('layerobjecttypeTravaux{{group.sysma_object_type_id|raw }}');">
					{{ group.sysma_object_type|raw }}
					<span class="caret"></span>
				</div>

				<div class="col-xs-2 text-right">
					{% if U.tabAT['sysma_object'][group.sysma_object_type_id] is defined %}
						<a href="#" onclick="sendData(null, '{{ url('formatting',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
							<small>
								<span class="glyphicon glyphicon-tasks text-muted">
									<span></small>
								</a>
							{% endif %}
						
					
							{% if U.tabFiltres['sysma_object'][group.sysma_object_type_id] is defined %}
								<a title="Couche filtrée" href="#" onclick="sendData(null, '{{ url('filters',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
									<small>
										<span class="glyphicon glyphicon glyphicon-filter text-muted">
											<span></small>
										</a>
									{% endif %}
								</div>

							</div>


							<div id="newObButton{{ group.sysma_object_type_id }}" style="display:none;">
								<div class="row">
									<div class="col-xs-1 noPadding"></div>
									<div class="col-xs-11">
										{% if [app.session.get('user_id'),null,group.sysma_object_type_id ,null, null, null, null, 'contributeur']|hasAccess %}

											{% if group.geometry_type != 'no_geom' and group.load_on_pan != 1 %}
											<a class="btn btn-default btn-xs" href="#" onclick="zoomToLayerBoundsByLayerName(map,'objecttype',{{ group.sysma_object_type_id }})">
												<span title="Zoomer sur la couche" class="glyphicon glyphicon-zoom-in"></span>
											</a>
											{% endif %}
											<a class="{{'o'~group.sysma_object_type_id}}GeoNewButton btn btn-default btn-xs" href="#" {% if group.geometry_type != 'no_geom' %} onclick="disableLoadOnPan();$('.o{{group.sysma_object_type_id}}GeoCancelButton').css('display', 'inline-block'); $('.o{{group.sysma_object_type_id}}GeoNewButton').css('display', 'none'); enableDraw('{{group.geometry_type}}', {{ U.snap_options.active == true ? U.snap_options.layer_id : 'null' }}); sendData('sysma_object_type_id={{ group.sysma_object_type_id }}', '{{ url('set-idtypeobjet-session') }}', 'layerstate', null); $('#creer-objet-type-id').attr('value', '{{group.sysma_object_type_id}}'); document.getElementById('creer-objet-type-id').click();" {% else %} onclick="openClose('rightColumn', '{{ app['session'].get('map_width') }}%', 'map', '{{ (100-app['session'].get('map_width')) }}%');$('#infos').hide(150);$('#objet').show(150); sendData('geom=null&geometry_type=no_geom&sysma_object_type_id={{ group.sysma_object_type_id }}', '{{ url('object-create')}}', 'objet', null);" {% endif %}>
												{% if group.geometry_type == 'ST_Linestring' %}
													<span class="glyphicon glyphicon-minus" height="15px" title="Créer un objet {{group.sysma_object_type|raw}}"></span>
												{% endif %}
												{% if group.geometry_type == 'ST_Polygon' %}
													<img src="/img/polygon.png" height="12px" style="position:relative !important;top:-1px !important;" title="Créer un objet {{group.sysma_object_type|raw}}"/>
												{% endif %}
												{% if group.geometry_type == 'ST_Point' %}
													<span class="glyphicon glyphicon-map-marker" title="Créer un objet {{group.sysma_object_type|raw}}"></span>
												{% endif %}
												&nbsp;Créer un objet
												{{group.sysma_object_type|raw}}
											</a>

											<a class="{{'o'~group.sysma_object_type_id}}GeoCancelButton btn btn-default btn-xs" href="#" onclick="cancelGeoCreateFeature('{{group.sysma_object_type_id}}'); $('.o{{group.sysma_object_type_id}}GeoCancelButton').css('display', 'none'); $('.o{{group.sysma_object_type_id}}GeoNewButton').css('display', 'inline-block');" style='display:none;'>
												<span class="glyphicon glyphicon-remove" title="Annuler"></span>&nbsp;Annuler</a>


										{% endif %}

										{% if group.geometry_type != 'no_geom' %}											

											<a class="btn btn-default btn-xs" href="#" onclick="sendData(null, '{{ url('formatting',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
												<span class="glyphicon glyphicon-tasks"></span>
												Analyse</a>

											<a title="Filtrer cette couche" class="btn btn-default btn-xs" href="#" onclick="sendData(null, '{{ url('filters',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
												<span class="glyphicon glyphicon-filter"></span>
												Filtres</a>

											<a title="Changer le style de cette couche" class="btn btn-default btn-xs" href="#" onclick="sendData(null, '{{ url('style',{ 'object_type':'sysma_object','id_type':group.sysma_object_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal">
												<span class="glyphicon glyphicon-tint"></span>
												Style</a>
										{% else %}
											<a class="btn btn-default btn-xs" href="#" onclick="sendData('sysma_object_type_id={{group.sysma_object_type_id}}', '{{ url('objects') }}', 'objectsListSysmaObjectType{{group.sysma_object_type_id}}', event, true);">
												<span class="glyphicon glyphicon-tasks"></span>
												Voir les objets</a>

										{% endif %}


									</div>
								</div>

								{% if group.geometry_type == 'no_geom' %}
									<div id="objectsListSysmaObjectType{{group.sysma_object_type_id}}"></div>
								{% endif %}
							</div>

							{% if tt[group.sysma_object_type_id]|length > 0 %}

								<div id="layerobjecttypeTravaux{{group.sysma_object_type_id }}" style="display:none;">
									<div class="row">
										<div class="col-xs-2 noPadding"></div>
										<div class="col-xs-10">
											<strong>Liste des actions :</strong>
										</div>
									</div>

									{% for tr in tt[group.sysma_object_type_id] %}


										{% if [app.session.get('user_id'),null,group.sysma_object_type_id ,null, tr.sysma_action_type_id, null, null, 'lecteur']|hasAccess  or [app.session.get('user_id'),null,group.sysma_object_type_id ,null, tr.sysma_action_type_id, null, null, 'contributeur']|hasAccess  %}

											<div id="layeractiontypeRow{{tr.sysma_action_type_id }}" class="row" {# style="border:solid 1px black" #}>
												<div class="col-sm-1 col-xs-1 col-md-1">&nbsp;</div>
												<div class="col-sm-1 noPadding">
													<span id="layeractiontype{{group.sysma_object_type_id }}LayerControllerSpan" style="display:none;"><img src='/img/loader2.gif' height='14px;'/></span>
													<input id="layeractiontype{{tr.sysma_action_type_id }}LayerController" type="checkbox" onclick='addLayer("actiontype", {{tr.sysma_action_type_id }}, null, {{ currentTyOId  }}, { "center" : $("#center").val(), "zoom" : $("#zoom").val() });'/>
												</div>

												<div class="col-xs-1 SVGPadding">

													{% if group.geometry_type == 'ST_Linestring' %}
														<svg height="18" width="18">
															{% if tr.style.secondLine|default(null) == '1' %}
																<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ tr.style.secondLineColor }};stroke-opacity:{{ tr.style.secondLineOpacity }};stroke-width:{{ tr.style.secondLineWeight }};stroke-linecap:round;stroke-linejoin:round"/>
																<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ tr.style.color }};stroke-opacity:{{ tr.style.opacity }};stroke-width:{{ tr.style.weight }};stroke-dasharray:{{ tr.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
															{% else %}
																<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ tr.style.color }};stroke-opacity:{{ tr.style.opacity }};stroke-width:{{ tr.style.weight }};stroke-dasharray:{{ tr.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
															{% endif %}
														</svg>
													{% endif %}

													{% if group.geometry_type == 'ST_Polygon'   %}
														<svg height="18" width="18">
															<rect width="18" height="18" stroke="{{ tr.style.color }}" stroke-opacity="{{ tr.style.opacity }}" stroke-width="{{ tr.style.weight }}" fill="{{ tr.style.fillColor|default(tr.style.color) }}" fill-opacity="{{ tr.style.fillOpacity|default(tr.style.opacity) }}" stroke-dasharray="{{ tr.style.dashArray|default(0) }}" ;stroke-linecap="round" ;stroke-linejoin="round"/>
														</svg>
													{% endif %}

													{% if group.geometry_type == 'ST_Point' %}


														{% if tr.style.icon is defined and tr.style.icon == 1 and tr.style.iconUrl|default(null) != '' %}

															{% set size = 18 %}
															{% set fillRadius = size /2  * (tr.style.fillRadius|default(0.05)/10) %}
															{% set backColor =  tr.style.fillColor|default(tr.style.color)|hexToRGB %}

															<div style="background-color:rgba({{ backColor.r }},{{ backColor.g }}, {{ backColor.b }},{{ tr.style.fillOpacity|default(tr.style.opacity)|default(1) }});width:{{ size }}px;height:{{size}}px;border-radius:{{ fillRadius|default(5)}}px;text-align:center;">
																<div style="width:{{size}}px;height:{{size}}px;background:{{ tr.style.color }};-webkit-mask-image:url({{ tr.style.iconUrl }});-webkit-mask-repeat:no-repeat;-webkit-mask-size:{{ (size * 0.8)|round }}px;-webkit-mask-position: center;mask-image:url({{ tr.style.iconUrl }});mask-repeat:no-repeat;mask-size: {{ (size * 0.8)|round }}px;mask-position: center;opacity:{{ tr.style.opacity|default(1) }}"></div>
															</div>
														{% else %}
															<div style="width:20px;text-center;">
																<svg height="18" width="18">
																	<circle cx="9" cy="9" r="6" stroke="{{ tr.style.color }}" stroke-opacity="{{ tr.style.opacity }}" stroke-width="{{ min(tr.style.weight,5) }}" fill="{{ tr.style.fillColor|default(tr.style.color) }}" fill-opacity="{{ tr.style.fillOpacity|default(tr.style.opacity) }}"/>
																</svg>
															</div>
														{% endif %}


													{% endif %}


													{% if group.geometry_type == 'no_geom' %}
														<svg height="18" width="18">
															<rect width="18" height="18" stroke="#cccccc" stroke-opacity="0.8" stroke-width="3" fill="#ececec" fill-opacity="0.5"/>
															<line x1="0" y1="0" x2="18" y2="18" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
															<line x1="0" y1="18" x2="18" y2="0" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
														</svg>
													{% endif %}

												</div>

												<div class="col-sm-6 col-xs-6 col-md-6" id="layeractiontype{{tr.sysma_action_type_id }}LayerName">
													{{ tr.sysma_action_type|raw }}
													{#<small class="text-extra-muted">[{{tr.sysma_action_type_id }}] #}
												</small>
											</div>
											<div class="col-sm-2 col-xs-2 col-md-3 text-right">
											{% if tr.load_on_pan != 1 %}
											{# Zoom #}
												<a href="#" onclick="zoomToLayerBoundsByLayerName(map,'actiontype',{{ tr.sysma_action_type_id }})"><small><span title="Zoomer sur la couche" style="top:3px !important;right:2px !important;" class="glyphicon glyphicon-zoom-in text-extra-muted"></span></small></a>
											{% endif %}
											{# AT #}
												<a  ref="#" onclick="sendData(null, '{{ url('formatting',{ 'object_type':'sysma_action','id_type':tr.sysma_action_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal"><small><span style="top:3px !important;" class="glyphicon glyphicon-tasks {% if U.tabAT['sysma_action'][tr.sysma_action_type_id] is not defined %}text-extra-muted{% else %}text-not-muted{% endif %}"></span></small></a>
											{# Filtre #}
												<a title=" {% if U.tabFiltres['sysma_action'][tr.sysma_action_type_id] is not defined %}Filtrer la couche{% else %}Couche filtrée{% endif %}" href="#" onclick="sendData(null, '{{ url('filters',{ 'object_type':'sysma_action','id_type':tr.sysma_action_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal"><small>
														<span class="glyphicon glyphicon glyphicon-filter  {% if U.tabFiltres['sysma_action'][tr.sysma_action_type_id] is not defined %}text-extra-muted{% else %}text-not-muted{% endif %}">
															<span>
													</small></a>
											{# Style #}
														<a title="Changer le style de cette couche" href="#" onclick="sendData(null, '{{ url('style',{ 'object_type':'sysma_action','id_type':tr.sysma_action_type_id }) }}', 'modal-content', event, true);" data-toggle="modal" data-target="#loginModal"><small><span class="glyphicon glyphicon-tint text-extra-muted"></span></small></a>


													

												
													</div>
												</div>

											{% endif %}

										{% endfor %}

										<div class="row">
											<div class="col-xs-12">&nbsp;</div>
										</div>
									</div>

								{% endif %}

							{% endif %}

						{% endfor %}

						{% if others|length > 0 %}

							{% for ot in others %}

								{% if currentGroupe is not defined or currentGroupe != ot.group %}
									<div class="row" {{ U.tabGroupInfo[ot.group]|default(null) == 'remove' ? 'style="display:none"' }}>
										<div class="col-xs-12">
											<h2>{{ot.group}}
												<small>
													{% if U.tabGroupInfo[ot.group]|default(null) == 'hide' %}

														<span class="glyphicon glyphicon-chevron-down text-extra-muted" onclick="sendData('type=group&id={{ot.group|replace({" '":"\\' "})}}&action=show', '{{url('updatelayerstate') }}', 'layerstate', event, true)"></span>
														<span class="glyphicon glyphicon-remove text-extra-muted" onclick="sendData('type=group&id={{ot.group|replace({" '":"\\' "})}}&action=remove', '{{url('updatelayerstate') }}', 'layerstate', event, true);"></span>

													{% else %}
														<span class="glyphicon glyphicon glyphicon-chevron-up text-extra-muted" onclick="sendData('type=group&id={{ot.group|replace({" '":"\\' "})}}&action=hide', '{{url('updatelayerstate') }}', 'layerstate', event, true)"></span>
													{% endif %}
												</small>
											</h2>
										</div>
									</div>
									{% set currentGroupe  =  ot.group   %}
								{% endif %}

								<div id="layer{{ ot.type }}Row{{ ot.id }}" class="row" {{ U.tabGroupInfo[ot.group]|default(null) == 'hide' or U.tabGroupInfo[ot.group]|default(null) == 'remove' ? 'style="display:none"' }}>

									<div class="col-xs-1 noPadding">
										<span id="layer{{ ot.type }}{{ ot.id }}LayerControllerSpan" style="display:none;"><img src='/img/loader.gif' height='14px;'/></span>
										<input id="layer{{ ot.type }}{{ ot.id }}LayerController" type="checkbox" onclick='addLayer("{{ ot.type }}", "{{ot.id }}", { {% for key in ot.style|keys %}"{{key}}": "{{ot.style[key]}}",                       {% endfor %} }, null, {"center" : $("#center").val(), "zoom" : $("#zoom").val() });'/>
									</div>


									<div class="col-xs-1 SVGPadding">
										{% if ot.geometry_type == 'ST_Linestring' %}
											<svg height="18" width="18">
												<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ ot.style.color }};stroke-opacity:{{ ot.style.opacity }};stroke-width:{{ ot.style.weight }};stroke-dasharray:{{ ot.style.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
											</svg>
										{% endif %}

										{% if ot.geometry_type == 'ST_Polygon' or ot.geometry_type == 'ST_Polygon_to_Linestring' %}
											<svg height="18" width="18">
												<rect width="18" height="18" stroke="{{ ot.style.color }}" stroke-opacity="{{ ot.style.opacity }}" stroke-width="{{ ot.style.weight }}" fill="{{ ot.style.fillColor|default(ot.style.color) }}" fill-opacity="{{ ot.style.fillOpacity|default(ot.style.opacity) }}" stroke-dasharray="{{ ot.style.dashArray|default(0) }}" ;stroke-linecap="round" ;stroke-linejoin="round"/>
											</svg>
										{% endif %}

										{% if ot.geometry_type == 'ST_Point' %}


											{% if ot.style.icon is defined and ot.style.icon == 1 and ot.style.iconUrl != '' %}

												{% set size = 18 %}
												{% set fillRadius = size /2  * (ot.style.fillRadius|default(0.05)/10) %}
												{% set backColor =  ot.style.fillColor|default(ot.style.color)|hexToRGB %}

												<div style="background-color:rgba({{ backColor.r }},{{ backColor.g }}, {{ backColor.b }},{{ ot.style.fillOpacity|default(ot.style.opacity)|default(1) }});width:{{ size }}px;height:{{size}}px;border-radius:{{ fillRadius|default(5)}}px;text-align:center;">
													<div style="width:{{size}}px;height:{{size}}px;background:{{ ot.style.color }};-webkit-mask-image:url({{ ot.style.iconUrl }});-webkit-mask-repeat:no-repeat;-webkit-mask-size:{{ (size * 0.8)|round }}px;-webkit-mask-position: center;mask-image:url({{ ot.style.iconUrl }});mask-repeat:no-repeat;mask-size: {{ (size * 0.8)|round }}px;mask-position: center;opacity:{{ ot.style.opacity|default(1) }}"></div>
												</div>
											{% else %}
												<div style="width:20px;text-center;">
													<svg height="18" width="18">
														<circle cx="9" cy="9" r="6" stroke="{{ ot.style.color }}" stroke-opacity="{{ ot.style.opacity }}" stroke-width="{{ min(ot.style.weight,5) }}" fill="{{ ot.style.fillColor|default(ot.style.color) }}" fill-opacity="{{ ot.style.fillOpacity|default(ot.style.opacity) }}"/>
													</svg>
												</div>
											{% endif %}


										{% endif %}


										{% if ot.geometry_type == 'no_geom' %}
											<svg height="18" width="18">
												<rect width="18" height="18" stroke="#cccccc" stroke-opacity="0.8" stroke-width="3" fill="#ececec" fill-opacity="0.5"/>
												<line x1="0" y1="0" x2="18" y2="18" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
												<line x1="0" y1="18" x2="18" y2="0" stroke="#cccccc" stroke-opacity="1" stroke-width="1"/>
											</svg>
										{% endif %}

									</div>

									<div class="col-xs-10" id="layer{{ ot.type }}{{ ot.id }}LayerName">
										{{ ot.nom|capitalize }}&nbsp;
										<a target="_blank" href="{{ url('geojson-otherlayer', { 'other_layer_type' : ot.type, 'layer_id' : ot.id }) }}" class="glyphicon glyphicon-download text-extra-muted" aria-hidden="true" title="Download de la couche au format geojson. Cliquer sur le bouton droit de la souris et selectionner 'Enregistrer la cible du lien sous...'"></a>
									</div>

								</div>

							{% endfor %}

						{% endif %}

					</div>


					<script type="text/javascript">

					enableLoadOnPan();

						{% for ot in others %}

{% if ot.user_id %}
addLayer("{{ ot.type }}", "{{ ot.id }}", {
{% for key in ot.style|keys %}"{{ key }}" : "{{ ot.style[key] }}",
{% endfor %}
}, null, {
'center': '{{ U.default_center }}',
'zoom': {{ U.default_zoom }}
});{% endif %}{% endfor %}{% for group in layers %}{% if (group.user_id != null and group.geometry_type != 'no_geom') %}addLayer("objecttype", {{ group.sysma_object_type_id }}, null, null, {
'center': '{{ U.default_center }}',
'zoom': {{ U.default_zoom }}
});{% endif %}{% for tr in tt[group.sysma_object_type_id] %}{% if (tr.user_id != null) %}addLayer("actiontype", {{ tr.sysma_action_type_id }}, null, {{ group.sysma_object_type_id }}, {
'center': '{{ U.default_center }}',
'zoom': {{ U.default_zoom }}
});{% endif %}{% endfor %}{% endfor %}

					</script>
